/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    ak4104_spdif_tx.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _AK4104_SPDIF_TX_H    /* Guard against multiple inclusion */
#define _AK4104_SPDIF_TX_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdbool.h>

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

/*
 * These are used with the reset functions to make clearer that we are switching on/off the device
 */
#define AK4104_SPDIF_TX_SWITCH_ON     true        // Taking out of Reset
#define AK4104_SPDIF_TX_SWITCH_OFF    false       // Putting into Reset

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************


    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /**
     * Switch Avatar Audio feed
     */
    void ak4104_spdif_tx_audio(bool on);

    /**
     * Initialise the module
     */
    void ak4104_spdif_tx_initialise();

    /**
     * Mutes the module
     */
    void ak4104_spdif_tx_mute(bool on);

    /**
     * Put the module in reset
     */
    void ak4104_spdif_tx_reset(bool on);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
