/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_DATA_H    /* Guard against multiple inclusion */
#define _APP_DATA_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */


/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************
    
//------------------------------------------------------------------------------
// PIUC Utilities Constants
//------------------------------------------------------------------------------    

#define ARCAM_PIC_DEVICE_FAMILY_MX      1
#define ARCAM_PIC_DEVICE_FAMILY_MZ      2
    
//------------------------------------------------------------------------------
// Software Version / Model 
//------------------------------------------------------------------------------    

#define SOFTWARE_BUILD_TYPES \
    X(ALPHA, Alpha)\
    X(BETA, Beta)\
    X(RELEASE, Release)\

// Now use the input data to define the enum
#define X(a, b) SOFTWARE_BUILD_TYPE_##a,
	typedef enum {SOFTWARE_BUILD_TYPES} SOFTWARE_BUILD_TYPE;
#undef X
    
// Redefine the macro and use to create an array of strings
#define X(a, b) #b,
	static char *SOFTWARE_BUILD_TYPE_STRINGS[] = {SOFTWARE_BUILD_TYPES};
#undef X

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _APP_DATA_H */

/* *****************************************************************************
 End of File
 */
