/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _INPUT_CONTROL_AVATAR_H    /* Guard against multiple inclusion */
#define _INPUT_CONTROL_AVATAR_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_control_defs.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /**
     * Perform input specific actions based on switching to the avatar
     * @param definition - the definition of the control to switch to
     */
    void input_control_switch_avatar(INPUT_CONTROL_DEFINITION* definition);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _INPUT_CONTROL_AVATAR_H */

/* *****************************************************************************
 End of File
 */
