/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/dante.h"
#include "app_config.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Determines whether the Dante module is enabled.  This will override the 
 * RCA/XLR inputs
 */
bool dante_is_enabled()
{    
    bool result = true;
    
#if DANTE_PINS_ENABLED
                     
    result = PLIB_PORTS_PinGet(DANTE_ENABLED_PORTS_ID, 
                               DANTE_ENABLED_CHANNEL, 
                               DANTE_ENABLED_PIN);
 
#endif
    
    return result;
}

/**-----------------------------------------------------------------------------
 * Holds to set or unset the DANTE module into reset
 */
void dante_reset(bool reset)
{    
#if DANTE_PINS_ENABLED
                     
    PLIB_PORTS_PinWrite(DANTE_RESET_PORTS_ID, 
                        DANTE_RESET_CHANNEL, 
                        DANTE_RESET_PIN,
                        reset);
    
    logger_log_info(LOGGER_CODE_DANTE, "DANTE: %s ", reset ? "In Reset" : "Running");
 
#endif
}

/* *****************************************************************************
 End of File
 */
