/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    test_info.c

  @Summary
    functions to be used when in test state that send logger messages to the console

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/test_info.h"
#include "utilities/logger.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

typedef struct
{
    APP_STATE current_state;
} TEST_INFO_DATA;

static TEST_INFO_DATA test_info_data;

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**
 * Use when an ADC_SWITCH changes
 */
void test_info_adc_switch_change(ADC_SWITCH button)
{
    logger_log_testf(LOGGER_CODE_TEST_BUTTON + (int)button, "");
}

/**
 * Use when the RGB LED changes colour
 */
void test_info_rgb_led_change(RGB_LED_COLOUR value)
{
    logger_log_testf(LOGGER_CODE_TEST_RGB_OFF + (int)value, "");
}

/**
 * Add to start of any application state case statement
 */
void test_info_state_change(APP_STATE state)
{
    if (state != test_info_data.current_state)
    {
        test_info_data.current_state = state;
        
        char buffer[2];
        buffer[0] = state;
        buffer[1] = 0;
        logger_log_testf(LOGGER_CODE_TEST_STATE, buffer);
    }
}


/* *****************************************************************************
 End of File
 */
