/* ************************************************************************** */
/** Descriptive File Name

  @Company
    ARCAM

  @File Name
    adc.h

  @Summary
    Public Interface to the adc module

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef ADC_BUTTON_H    /* Guard against multiple inclusion */
#define ADC_BUTTON_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/adc/adc_defs.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


// *****************************************************************************
// *****************************************************************************
// Section: Constants                                                        
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Required to allocate an input for the ADC module.  This should be called once for
 * each input.
 */
void adc_button_add_input(ADC_INPUT_ID input, ADC_BUTTON* buttons, ADC_INPUT_STATE state);

/**
 * Returns an ADC_BUTTON_INFO for the currentselected  button
 * @return 
 */
ADC_BUTTON_INFO* adc_button_get_current();

/**
 * Returns an ADC_BUTTON for each input supporting buttons (ADC_BUTTON_INPUT_COUNT)
 * @return 
 */
ADC_BUTTON* adc_button_get_current_buttons();

/**
 * Gets the Id of the input that the button is associated with
 * @param button
 */
ADC_INPUT_ID adc_button_get_input_for_switchxxxxxxxxxxxxxxxxxx(ADC_BUTTON button);

/**
 * Initialises the ADC Buttons
 */
void adc_button_initialise();

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* ADC_H */

/* *****************************************************************************
 End of File
 */
