/* ************************************************************************** */
/** Descriptive File Name

  @Company
    ARCAM

  @File Name
    adc.h

  @Summary
    Public Interface to the adc module

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef ADC_TEMPERATURE_H    /* Guard against multiple inclusion */
#define ADC_TEMPERATURE_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/adc/adc_defs.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


// *****************************************************************************
// *****************************************************************************
// Section: Constants                                                        
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Required to allocate an input for the ADC module.  This should be called once for
 * each input.
 */
void adc_temperature_add_input(ADC_INPUT_ID input, ADC_INPUT_STATE state);

/**
 * Get the current temperature on the supplied input
 * @param input
 * @return 
 */
int16_t adc_temperature_get(ADC_INPUT_ID input);

/**
 * 
 * Initialises the ADC Buttons
 */
void adc_temperature_initialise();

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* ADC_H */

/* *****************************************************************************
 End of File
 */
