/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Private Hardware Interface for the Analogue Direct module

  @Description
    This should only be accessed by functions in analogue_direct.c
 */
/* ************************************************************************** */

#ifndef _ANALOGUE_DIRECT_HW_H    /* Guard against multiple inclusion */
#define _ANALOGUE_DIRECT_HW_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdbool.h>

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */


// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************


// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Gets current analogue direct state
 * @param on
 */
bool analogue_direct_hw_get_active();

/**
 * Sets pins for analogue direct on/off
 * @param on
 */
void analogue_direct_hw_set_active(bool on);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
