/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _AVATAR_PACKET_DATA_H    /* Guard against multiple inclusion */
#define _AVATAR_PACKET_DATA_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities\avatar_packet.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /**
     * Allocates a packet from the pool based on the amount of data required..
     */
    AVATAR_PACKET* avatar_packet_allocate(AVATAR_PACKET_HEADER* header, bool receive);

    /**
     * Frees a packet from the pool
     */
    AVATAR_PACKET* avatar_packet_free(AVATAR_PACKET* packet);

    /**
     * Initialise the avatar_packet module
     */
    void avatar_packet_initialise();
    

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
