/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _BASE64_H    /* Guard against multiple inclusion */
#define _BASE64_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

/* This section lists the other files that are included in this file.
 */

/* TODO:  Include other files here if needed. */
#include <stddef.h>
#include <stdbool.h>

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /**
     * 
     * @param in
     * @param out
     * @param outlen
     * @return 
     */
    bool base64_decode(const char *in, unsigned char *out, size_t outlen);
    
    /**
     * 
     * @param in
     * @return 
     */
    size_t base64_decoded_size(const char *in);
    
    /**
     * 
     * @param in
     * @param len
     * @return 
     */
    void base64_encode(const unsigned char *in, size_t len, char* out);

    /**
     * Gets the size of the base 64 encoded string
     */
    size_t base64_encoded_size(size_t inlen);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
