/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _INPUT_ADC_HW_TIPCM4202_H    /* Guard against multiple inclusion */
#define _INPUT_ADC_HW_TIPCM4202_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_adc/input_adc_defs.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */


// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************


// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Configure the ak5552
 */
void input_adc_hw_tipcm4202_configure();

/**
 * Defines the INPUT ADC callbacks used when using the AK5552.  To be used as
 * the parameter to input_adc_define_callbacks() function
 * @return 
 */    
INPUT_ADC_FUNCTION_DATA* input_adc_hw_tipcm4202_define_functions();
 
/**
 * Initialise the AK45552
 */
bool input_adc_hw_tipcm4202_initialise();
 
/**
 * Perform AK45552 processing
 */
void input_adc_hw_tipcm4202_process();

/**
 * Applies the settings to the AK45552
 */
void input_adc_hw_tipcm4202_reapply_settings();

/**
 * Perform AK45552 reset
 */
void input_adc_hw_tipcm4202_reset(bool on);     


    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
