/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Public Interface to the Input Analogue Direct module

  @Description
    The Input Analogue Direct module is used to link the current input and the 
    analogue direct setting.
 */
/* ************************************************************************** */

#ifndef _INPUT_ANALOGUE_DIRECT_H    /* Guard against multiple inclusion */
#define _INPUT_ANALOGUE_DIRECT_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdbool.h>
#include <stdint.h>

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Gets analogue direct setting for a given input
 * @param input
 * @param on
 */
bool input_analogue_direct_get(uint8_t index);

/**
 * resets the analogue direct modul
 * All Settings = Off
 */
void input_analogue_direct_reset();

/**
 * Store analogue direct setting for a given input
 * @param input
 * @param on
 */
void input_analogue_direct_set(uint8_t index, bool on);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
