/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _INPUT_ANALOGUE_DIRECT_APP_H    /* Guard against multiple inclusion */
#define _INPUT_ANALOGUE_DIRECT_APP_H

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdint.h>
#include <stddef.h>
#include "menu.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************

/**
 * Used in menus to review whether a change in analogue-direct for a channel needs 
 * the actual analogue direct setting or not.
 * @param menu
 * @return 
 */
MENU_ID input_analogue_direct_check(MENU_ITEM menu);

/**
 * Gets the analogue direct setting for the current channel as a string
 * Note: This is used for all the analogue direct menus and is dependent on
 * the correct value of input_control_app_data.analogue_direct_edit_index being
 * set before (usually in the menu enter event)
  * @return 
 */
void input_analogue_direct_get_string(char* buffer, size_t size);

/**
 * Called when entering the Analogue Direct no navigation menu - setup the timeout
 */
void input_analogue_direct_enter_no_navigation(MENU_ID menu);

/**
 * Called when leaving the the Analogue Direct no navigation menu 
 * @param menu
 */
MENU_ID input_analogue_direct_exit_no_navigation(MENU_ID menu);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
