/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _INPUT_PHONO_INPUT_DEFS_H    /* Guard against multiple inclusion */
#define _INPUT_PHONO_INPUT_DEFS_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */


/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************
    
// a. Sample Rate, b. String representation, c. Index for get_sample_rate RS232 message    
// d. The sample rate as an integer
#define PHONO_INPUTS \
	X(MM, MM)\
	X(MC, MC)\

// Now use the input data to define the enum
#define X(a, b) PHONO_INPUT_##a,
	typedef enum {PHONO_INPUTS PHONO_INPUT_MAX} PHONO_INPUT;
#undef X
    
// Redefine the macro and use to create an array of strings
#define X(a, b) #b,
	static char *PHONO_INPUT_STRINGS[] = { PHONO_INPUTS };
#undef X

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************


    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
