/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _MACHINE_UUID_H    /* Guard against multiple inclusion */
#define _MACHINE_UUID_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /**
     * Clears the machine uuid in settings
     */
    void machine_uuid_clear();

    /**
     * Generates the machine uuid from the devices mac address supplie as a 16bit buffer
     * (see tcpip_get_mac_address_string)
     */
    void machine_uuid_generate(char* mac_addr_buffer);
    
    /**
     * Attempts to load the machine UUID from settings
     */
    void machine_uuid_load();
    
    /**
     * Loads the buffer (must be at least 38 chars
     */
    void machine_uuid_print(char* buffer);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
