/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Holds definitions that get tft_display and tft_control confused.....
 */
/* ************************************************************************** */

#ifndef _TFT_DISPLAY_DATA_H    /* Guard against multiple inclusion */
#define _TFT_DISPLAY_DATA_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

/* This section lists the other files that are included in this file.
 */
#include <stdint.h>
#include <stdbool.h>
#include "utilities/colour.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    //------------------------------------------------------------------------------
    // Pixel handling
    //------------------------------------------------------------------------------

    typedef COLOUR PIXEL;
    
    //------------------------------------------------------------------------------
    // Rectangle handling
    //------------------------------------------------------------------------------

    typedef struct
    {
        int16_t top;
        int16_t left;
    } OFFSET;
    
    typedef struct 
    {
        int16_t top;
        int16_t left;
        int16_t bottom;
        int16_t right;
    } BOUNDS;

    static OFFSET OFFSET_NONE = { 0, 0 };

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
