/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/analogue_direct_app.h"
#include "utilities/input_control_defs.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Gets the analogue direct setting for the current channel as a string
 * Note: This is used for all the analogue direct menus and is dependent on
 * the correct value of app_commands_input_data.analogue_direct_edit_index being
 * set before (usually in the menu enter event)
  * @return 
 */
void analogue_direct_get_input_string(char* buffer, size_t size)
{
    INPUT_CONTROL_DEFINITION* definition = input_control_get_definition(app_commands_input_data.input_edit_index);
    
    if (definition != NULL)
    {
        sprintf(buffer, "%s", APP_COMMAND_OFF_ON_STRINGS[(int)definition->analogue_direct]);    
    }
}


/* *****************************************************************************
 End of File
 */
