/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/analogue_direct.h"
#include "app_config.h"
#include "utilities/analogue_direct_hw.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */



/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Gets current analogue direct state
 * @param on
 */
bool analogue_direct_get_active()
{
    return analogue_direct_data_get_active();
}

/**-----------------------------------------------------------------------------
 * Sets pins for analogue direct on/off
 * @param on
 */
void analogue_direct_set_active(bool on)
{
    analogue_direct_hw_set_active(on);
    analogue_direct_data_set_active(on);
}

/* *****************************************************************************
 End of File
 */
