/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/analogue_direct_data.h"
#include "app_config.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

typedef struct
{
    //! Determines whether analogue direct is currently active
    bool active;
 
} ANALOGUE_DIRECT_DATA;

static ANALOGUE_DIRECT_DATA analogue_direct_data = {
    .active = false,
};

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * returns true is analogue direct is currently engaged
 * @return 
 */    
bool analogue_direct_data_get_active()
{
    return analogue_direct_data.active;
}

/**-----------------------------------------------------------------------------
 * Sets analogue direct active indicator on/off
 * @param on
 */
void analogue_direct_data_set_active(bool on)
{
    analogue_direct_data.active = on;
}

/* *****************************************************************************
 End of File
 */
