/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_adc/private/input_adc_data.h"
#include "utilities/input_adc/input_adc_defs.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

static INPUT_ADC_DATA input_adc_data = {
    .functions.configure_function = NULL,
    .functions.initialise_function = NULL,
    .functions.reapply_settings_function = NULL,
    .functions.reset_function = NULL,
    .configured = false,
};

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Returns a reference t th SPDIF_RX_DATA structure
 * @return 
 */    
INPUT_ADC_DATA* input_adc_data_get()
{
    return &input_adc_data;
}

/**-----------------------------------------------------------------------------
 * 
 */
bool input_adc_data_is_configured()
{
    return input_adc_data.configured;
}

/**-----------------------------------------------------------------------------
 */
void input_adc_data_set_configured(bool configured)
{
    input_adc_data.configured = configured;
}


/* *****************************************************************************
 End of File
 */
