/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_analogue_direct.h"
#include "app_config.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Gets analogue direct setting for a given input
 * @param input
 * @param on
 */
bool input_analogue_direct_get(uint8_t index)
{
    return input_analogue_direct_data_get(index);
}

/**-----------------------------------------------------------------------------
 * resets the analogue direct modul
 * All Settings = Off
 */
void input_analogue_direct_reset()
{
    int x;
    for (x = 0; x < INPUT_CONTROL_NUM_SETTINGS; x++)
    {
        input_analogue_direct_set(x, false);
    }
}

/**-----------------------------------------------------------------------------
 * Store analogue direct setting for a given input
 * @param input
 * @param on
 */
void input_analogue_direct_set(uint8_t index, bool on)
{
    input_analogue_direct_data_set(index, on);
}

/* *****************************************************************************
 End of File
 */
