/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_control_app.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

typedef struct
{
    // The index of the Input definition that is currently being display for 
    // analogue direct, and enabled input editing 
    uint8_t input_edit_index;
} INPUT_CONTROL_APP_DATA;

static INPUT_CONTROL_APP_DATA input_control_app_data;


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Gets the index of the input currently being edited
 * @return 
 */    
uint8_t input_control_app_get_edit_index()
{
    return input_control_app_data.input_edit_index;
}

/**-----------------------------------------------------------------------------
 * Sets the index of the input currently being edited
 * @param index
 */
void input_control_app_set_edit_index(uint8_t index)
{
    input_control_app_data.input_edit_index = index;
}


/* *****************************************************************************
 End of File
 */
