/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_control_mux.h"
#include "app_config.h"
#include "utilities/input_control_defs.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * 
 * @param definition
 */
void input_control_select_mux_input(INPUT_CONTROL_DEFINITION* definition)
{
    //logger_log_debugf(LOGGER_CODE_INPUT_CONTROL, "INPUT CONTROL Switching I2S Mux to %s --", INPUT_CONTROL_TYPE_STRINGS[definition->type]);
    
    bool switch_0 = 0x00;
    bool switch_1 = 0x00;
    bool usb_rec  = 0x00;
    
    switch(definition->type)
    {
        case INPUT_CONTROL_TYPE_NONE:
        {
            switch_0 = 0x01;
            switch_1 = 0x01;
            usb_rec  = 0x00;
            break;
        }
        
        case INPUT_CONTROL_TYPE_ANALOGUE:
        {
            switch_0 = 0x00;
            switch_1 = 0x00;
            usb_rec  = 0x00;
            
            // Check if USB_Record is switched on
            //if (input_control_usb_get_record())
            //{
            //    usb_rec = 0x01;
            //}
            
            break;
        }
            
        case INPUT_CONTROL_TYPE_DIGITAL:
        {
            switch_0 = 0x01;
            switch_1 = 0x00;
            usb_rec  = 0x00;
            
            // Check if USB_Record is switched on
            //if (input_control_usb_get_record())
            //{
            //    usb_rec = 0x01;
            //}
            
            break;
        }

        case INPUT_CONTROL_TYPE_AVATAR:
        {
            switch_0 = 0x01;
            switch_1 = 0x00;
            usb_rec  = 0x00;
            break;
        }
            
        //case INPUT_CONTROL_TYPE_USB:
        //{
        //    switch_0 = 0x00;
        //    switch_1 = 0x01;
        //    usb_rec  = 0x00;
        //    break;
        //}
    }
        
#if INPUT_CONTROL_PINS_ENABLED
 
    PLIB_PORTS_PinWrite(INPUT_CONTROL_I2S_SWITCH_SELECT_0_ID, 
                    INPUT_CONTROL_I2S_SWITCH_SELECT_0_PORT_CHANNEL, 
                    INPUT_CONTROL_I2S_SWITCH_SELECT_0_PIN,
                    switch_0);
 
    PLIB_PORTS_PinWrite(INPUT_CONTROL_I2S_SWITCH_SELECT_1_ID, 
                    INPUT_CONTROL_I2S_SWITCH_SELECT_1_PORT_CHANNEL, 
                    INPUT_CONTROL_I2S_SWITCH_SELECT_1_PIN,
                    switch_1);
 
    PLIB_PORTS_PinWrite(INPUT_CONTROL_USB_RECORD_ID, 
                    INPUT_CONTROL_USB_RECORD_PORT_CHANNEL, 
                    INPUT_CONTROL_USB_RECORD_PIN,
                    usb_rec);

#endif    

}

/* *****************************************************************************
 End of File
 */
