/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/input_phono_input.h"
#include <stdbool.h>
#include "app_config.h"

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: File Scope or Global Data                                         */
/* ************************************************************************** */
/* ************************************************************************** */

typedef struct
{
    
    //TODO - Remove when Pins working OK
    PHONO_INPUT phono_input;
    
} INPUT_PHONO_INPUT_DATA;

static INPUT_PHONO_INPUT_DATA input_phono_input_data =
{
};


/* ************************************************************************** */
/* ************************************************************************** */
// Section: Local Functions                                                   */
/* ************************************************************************** */
/* ************************************************************************** */

/* ************************************************************************** */
/* ************************************************************************** */
// Section: Interface Functions                                               */
/* ************************************************************************** */
/* ************************************************************************** */

/**-----------------------------------------------------------------------------
 * Gets the phono input to be MM or MC
 */
PHONO_INPUT input_phono_input_get()
{
    return input_phono_input_data.phono_input;
}

/**-----------------------------------------------------------------------------
 * Sets the phono input to be MM or MC
 * @param type
 */
void input_phono_input_set(PHONO_INPUT input)
{
    input_phono_input_data.phono_input = input;
    
    bool switch0 = false;
    
    switch(input)
    {
        case PHONO_INPUT_MM:
            switch0 = false;
            break;
            
        case PHONO_INPUT_MC:
            switch0 = true;
            break;
            
        default:
            break;
    }

    PLIB_PORTS_PinWrite(INPUT_PHONO_INPUT_SELECT_ID, 
                INPUT_PHONO_INPUT_SELECT_PORT_CHANNEL, 
                INPUT_PHONO_INPUT_SELECT_PIN,
                switch0);  
    
    settings_set(SETTING_MM_MC, &input_phono_input_data.phono_input);
}


/* *****************************************************************************
 End of File
 */
