/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_CONTROL4_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_CONTROL4_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "app_context.h"
#include "utilities/structured_message.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /**
     * Draw the identify menu
     * @param menu
     */
    //void app_menu_draw_control4_identity(APP_COMMAND_MENU menu);
    
    /**
     * Returns a string representation of the control4 SDDP active state
     * @return 
     */
    void app_commands_get_control4_active_string(char* buffer, size_t size);
    
    /**
     * Used to edit the control4 active mode
     * @param message
     */
    bool app_commands_edit_control4_active(STRUCTURED_MESSAGE* message);
    
    /**
     * Called when the Control4 menu is exited
     */
    bool app_commands_edit_exit_control4_active(MENU_ID menu);
    
    /**
     * Called when the Control4 menu is exited
     */
    MENU_ID app_commands_edit_exit_control4_send_identity(MENU_ID menu);

    /**
     * Returns whether Control 4 is active (from Settings)
     * @return 
     */
    bool app_commands_control4_get_active();

    /**
     * Sets Control 4 is active (in Settings)
     */
    void app_commands_control4_set_active(bool active);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
