/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_CRESTRON_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_CRESTRON_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "app_context.h"
//#include "utilities/crestron_discovery.h"
#include "utilities/structured_message.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
//
//    /**
//     * Used during crestron_discovery configuration
//     */
//    void app_commands_crestron_discovery_callback(CRESTRON_DISCOVERY_CONFIGURATION_STATE state, char* hostname);
    
    /**
     * Draws a screen displayed during Crestron discovery prompting the user to acknowledge the input
     */
    void app_commands_draw_crestron_discovery_config(APP_COMMAND_MENU menu);
    
    /**
     * Used to edit the control4 active mode
     * @param message
     */
    bool app_commands_edit_crestron_discovery_active(STRUCTURED_MESSAGE* message);
    
    /**
     * Returns a string representation of the control4 SDDP active state
     * @return 
     */
    void app_commands_get_crestron_discovery_active_string(char* buffer, size_t size);

    /**
     * Returns whether Control 4 is active (from Settings)
     * @return 
     */
    bool app_commands_crestron_get_active();

    /**
     * Called when the Crestron configure menu is exited
     * @param menu
     */
    void app_commands_send_crestron_configure();
    
    /**
     * Sets Control 4 is active (in Settings)
     */
    void app_commands_crestron_set_active(bool active);
    
    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _APP_COMMANDS_CRESTRON_H */

/* *****************************************************************************
 End of File
 */
