/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_NETWORK_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_NETWORK_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities/structured_message.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /**
     * Used to edit the network standby value based on the current inputs
     * @param message
     */
    bool app_commands_edit_network_standby(STRUCTURED_MESSAGE* message);
    
    /**
     * Used to edit the rs232 standby value on the current inputs
     * @param message
     */
    bool app_commands_edit_rs232_standby(STRUCTURED_MESSAGE* message);
    
    /**
     * Returns a string representation of the network standby value
     * @return 
     */
    void app_commands_get_network_standby_string(char* buffer, size_t size);
    
    /**
     * Returns a string representation of the rs232 standby value
     * @return 
     */
    void app_commands_get_rs232_standby_string(char* buffer, size_t size);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
