/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
 Manages processor mode processing

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_PROCESSOR_MODE_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_PROCESSOR_MODE_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include "utilities//structured_message.h"
#include "utilities//menu.h"

    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /**
     * Performs a procesor mode input change based upon a delta value
     */
    bool app_commands_edit_processor_mode_input(STRUCTURED_MESSAGE* message);
    
    /**
     * The version used for processing messages rather than menus - includes translation between the different
     * AUDIO_INPUT representations
     */
    bool app_commands_edit_processor_mode_input_command(STRUCTURED_MESSAGE* message);

    /**
     * Performs a procesor mode volume change based upon a delta value
     */
    bool app_commands_edit_processor_mode_volume(STRUCTURED_MESSAGE* message);

    /**
     * Gets the processor mode input as a string
     * @return 
     */
    void app_commands_get_processor_mode_input_string(char* buffer, size_t size);

    /**
     * Gets the processor mode input as a string
     * @return 
     */
    void app_commands_get_processor_mode_volume_string(char* buffer, size_t size);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
