/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    app_commands_rgb_led.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_RGB_LED_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_RGB_LED_H

/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stddef.h>
#include "utilities/rgb_led.h"
#include "utilities/structured_message.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif

    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /** 
     * Gets the current running colour
     */
    RGB_LED_COLOUR app_commands_rgb_led_get_running_colour();

    /**
     * Sets the apps running colour
     * @param colour
     */
    void app_commands_rgb_led_set_running_colour(RGB_LED_COLOUR colour);

    /**
     * Run the RGB LED test
     */
    void app_commands_rgb_led_test();
    
    /**
     * Where the process is called from a structured message this stores the original message
     * which is then used to send response messages
     * @param message
     */
    void app_commands_rgb_led_test_set_initiating_message(STRUCTURED_MESSAGE* message);
    
    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
