/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_STANDBY_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_STANDBY_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */


/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

//------------------------------------------------------------------------------
// Standby  
//------------------------------------------------------------------------------    

typedef enum
{
    STANDBY_SLEEP_STATE_NONE = 0x00,
    STANDBY_SLEEP_STATE_ACTIVE = 0x01,
    STANDBY_SLEEP_STATE_IDLE = 0x02,
    STANDBY_SLEEP_STATE_SLEEP = 0x04,
} STANDBY_SLEEP_STATE;

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

/**
 * Sets up registers for standby settings
 */
void app_commands_standby_initialise();

/**
 * Manages standby in the Powered down state
 */
void app_commands_standby_powereddown();

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
