/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_DEVICE_CONFIGURATION_H    /* Guard against multiple inclusion */
#define _APP_DEVICE_CONFIGURATION_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdbool.h>
#include "utilities/structured_message.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */


    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************


    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************

    /**
     * Used to intialise ADC inputs.  
     */
    void app_device_initialise_adc();
    
    /**
     * Returns true if the message has been processed.  This assumes that the button has been identified,
     * there is a change and its not a special switches request
     */
    bool app_device_process_buttons_default(APP_BUTTONS button, STRUCTURED_MESSAGE* message);
    
    /**
     * Returns true if the message has been processed.  This assumes that the button has been identified,
     * there is a change
     */
    bool app_device_process_buttons_menu(APP_BUTTONS button, STRUCTURED_MESSAGE* message);
   
    /**
     * Returns true if the message has been processed.  This assumes that the button has been identified,
     * there is a change
     */
    bool app_device_process_buttons_menu_edit(APP_BUTTONS button, STRUCTURED_MESSAGE* message);
    
    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
