/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _RS232_HDMI_ARC_H    /* Guard against multiple inclusion */
#define _RS232_HDMI_ARC_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>
#include "utilities/hdmi_arc.h"
#include "system/common/sys_module.h"   


/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Constants                                                         */
/* ************************************************************************** */
/* ************************************************************************** */

// *****************************************************************************
// *****************************************************************************
// Section: Data Types
// *****************************************************************************
// *****************************************************************************

// *****************************************************************************
// *****************************************************************************
// Section: Interface Functions
// *****************************************************************************
// *****************************************************************************
   
    /**
     * RS232 module initialisation
     */
    void rs232_hdmi_arc_initialise(const SYS_MODULE_INDEX module, HDMI_ARC_MESSAGE_CALLBACK hdmi_arc_callback);

    /**
     * RS232 processing
     */
    void rs232_hdmi_arc_process();
    
    /**
     * Sends a buffer of data over the RS232 connection
     * @param buffer
     * @param len
     */
    void rs232_hdmi_arc_send_buffer(char* buffer, size_t len);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
